
/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include "system\typedefs.h"
#include "system\usb\usb.h"
#include "io_cfg.h"             // I/O pin mapping
#include "user.h"
#include "delays.h"
/** V A R I A B L E S ********************************************************/
#pragma udata
char RxBuffer[64];
char TxBuffer[64];
char TxBufferOld[64];
int ChangementEtat;
int i;
/** D E C L A R A T I O N S **************************************************/
#pragma code
void UserInit(void)
{
	//dsactiver le module CCP
    CCP1CON=0;
    //dsactiver le convertisseur analogique numerique
    ADCON1=0x0F;    
// on charge les registres TRISA TRISB TRISC TRISD et TRISE 
// bit a 1 pour les entrees 0 pour les sorties
    TRISA =255;
	TRISB =255;
	TRISC =255;
	TRISD =255;
	TRISE =255;
ChangementEtat=0;
}//end UserInit
void ProcessIO(void)
{   
TxBuffer[0]=0; 
TxBuffer[1]=PORTBbits.RB2;   //output6
TxBuffer[2]=PORTBbits.RB0;   //output4
TxBuffer[3]=PORTBbits.RB1;   //output5 
TxBuffer[4]=PORTDbits.RD7;   //output3
TxBuffer[5]=PORTBbits.RB3;   //output7
TxBuffer[6]=PORTDbits.RD6;   //output2
TxBuffer[7]=PORTDbits.RD4;  //output8
TxBuffer[8]=PORTDbits.RD3;   //output1
TxBuffer[9]=PORTDbits.RD1;  //output9
TxBuffer[10]=PORTDbits.RD2;   //output0
TxBuffer[11]=PORTDbits.RD0;  //output10
TxBuffer[12]=PORTAbits.RA0;  //output22
TxBuffer[13]=PORTCbits.RC2;  //output11
TxBuffer[14]=PORTAbits.RA1;  //output21
TxBuffer[15]=PORTCbits.RC1;  //output12
TxBuffer[16]=PORTAbits.RA2;  //output20
TxBuffer[17]=PORTCbits.RC0;  //output13
TxBuffer[18]=PORTAbits.RA3;  //output19
TxBuffer[19]=PORTEbits.RE2;  //output14
TxBuffer[20]=PORTAbits.RA4;  //output18
TxBuffer[21]=PORTEbits.RE1;  //output15
TxBuffer[22]=PORTAbits.RA5;  //output17
TxBuffer[23]=PORTEbits.RE0;  //output16
// cas de demande etat depuis pc
if (HIDRxReport(RxBuffer,PacketSize ) > 0) // USB receive buffer has data
    {
		if (RxBuffer[0]=0)
		 {
			ChangementEtat=1;
		 }
	}
// envoi
if (ChangementEtat=1)
	{
		if(!mHIDTxIsBusy())	
			{                 // blocking
		        HIDTxReport(TxBuffer, PacketSize );
				ChangementEtat=0;
			}
	}
}